Bug 867 - rm 2012 lts ee rp1, mix of kde 4.8.2 and 4.8.3
: rm 2012 lts ee rp1, mix of kde 4.8.2 and 4.8.3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 16:44 MSD by philippe.roubach
Modified: 2014-03-22 11:42 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description philippe.roubach 2012-10-06 16:44:08 MSD
rm 2012 lts ee rp1 is supplied with kde 4.8.4 isn't it ?
but
look

[localhost ~]$ rpm -qa | grep 4.8.2
kpartx-0.4.8-22-rosa.lts2012.0.x86_64
python-kde4-4.8.2-1-rosa.lts2012.0.x86_64
task-kde4-minimal-4.8.2-4-rosa.lts2012.0.noarch
task-kde4-4.8.2-4-rosa.lts2012.0.noarch
ksnapshot-4.8.2-1-rosa.lts2012.0.x86_64
kdegraphics4-core-4.8.2-1-rosa.lts2012.0.noarch
kdegraphics4-4.8.2-1-rosa.lts2012.0.noarch
[localhost ~]$ 

!!!!!!!!
Comment 1 Alexander Burmashev 2012-10-06 16:45:38 MSD
As far as i know KDE is no longer must supplied as a general solid package. It is ok to update some of the components, and leave others with old releases/versions.
Comment 2 philippe.roubach 2012-10-06 16:46:53 MSD
replace 4.8.4 by 4.8.3 in description
Comment 3 philippe.roubach 2012-10-06 17:02:48 MSD
(In reply to comment #1)
> As far as i know KDE is no longer must supplied as a general solid package.
> It is ok to update some of the components, and leave others with old
> releases/versions.

yes but when supplying an update, we assume all updates.

more : 
- rpm list all installed packet not all kde packet in the repo and which are not 4.8.3
- use drakrpm and search kde 4.8.1, 4.8.2 then you will find many

for kgraphics this is the case : 4.8.1, 4.8.2, 4.8.3
Comment 4 philippe.roubach 2012-10-06 18:01:59 MSD
it seems that kdegraphics 4 is deprecated. someone can confirm ?

but i am sure that ksnapshot is not deprecated
Comment 5 philippe.roubach 2012-10-06 18:03:14 MSD
replace "kdegraphics4" by "kdegraphics4 packets"
Comment 6 philippe.roubach 2012-10-08 10:51:24 MSD
and don't forget python-kde 4 4.8.2 this can produce misfunction
Comment 7 Denis Silakov 2013-09-21 17:35:29 MSD
Sorry for a long period of silence, this bug somehow missed our attention.

Yes, kdegraphics itself is deprecated and we decided to make it a metapackage to ease migration to split applications. The version was not set to 4.8.3. And there is no need in this, since this doesn't affect functionality at any way.

As for python-kde4 - indeed, this package seems to be forgotten...
Comment 8 Denis Silakov 2014-03-22 11:42:54 MSK
As for this bug - python-kde4 update to 4.8.3 was not crucial, but finally it was made and we can close this bug without feeling guilty.